
locals {
  budget_enabled = var.budget_enabled
  budgets = var.budgets
  disable_telemetry = var.disable_telemetry
  location = var.location
  network_watcher_resource_group_enabled = var.network_watcher_resource_group_enabled
  resource_group_creation_enabled = var.resource_group_creation_enabled
  resource_groups = var.resource_groups
  role_assignment_enabled = var.role_assignment_enabled
  role_assignments = var.role_assignments
  subscription_alias_enabled = var.subscription_alias_enabled
  subscription_alias_name = var.subscription_alias_name
  subscription_billing_scope = var.subscription_billing_scope
  subscription_display_name = var.subscription_display_name
  subscription_id = var.subscription_id
  subscription_management_group_association_enabled = var.subscription_management_group_association_enabled
  subscription_management_group_id = var.subscription_management_group_id
  subscription_register_resource_providers_and_features = var.subscription_register_resource_providers_and_features
  subscription_register_resource_providers_enabled = var.subscription_register_resource_providers_enabled
  subscription_tags = var.subscription_tags
  subscription_update_existing = var.subscription_update_existing
  subscription_use_azapi = var.subscription_use_azapi
  subscription_workload = var.subscription_workload
  umi_enabled = var.umi_enabled
  umi_federated_credentials_advanced = var.umi_federated_credentials_advanced
  umi_federated_credentials_github = var.umi_federated_credentials_github
  umi_federated_credentials_terraform_cloud = var.umi_federated_credentials_terraform_cloud
  umi_name = var.umi_name
  umi_resource_group_creation_enabled = var.umi_resource_group_creation_enabled
  umi_resource_group_lock_enabled = var.umi_resource_group_lock_enabled
  umi_resource_group_lock_name = var.umi_resource_group_lock_name
  umi_resource_group_name = var.umi_resource_group_name
  umi_resource_group_tags = var.umi_resource_group_tags
  umi_role_assignments = var.umi_role_assignments
  umi_tags = var.umi_tags
  virtual_network_enabled = var.virtual_network_enabled
  virtual_networks = var.virtual_networks
  wait_for_subscription_before_subscription_operations = var.wait_for_subscription_before_subscription_operations
}
